<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: menu   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>Menu&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_menu.html">menu</a>
                
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">

                   
                    <h3>Module: menu
                    


                    </h3>
                    <div class="description summary">
                        <p>The Menu family of components features a collection of 
controls that make it easy to add menus to your website or web application.  
With the Menu Controls you can create website fly-out menus, customized 
context menus, or application-style menu bars with just a small amount of 
scripting.</p><p>The Menu family of controls features:</p>
<ul>
<li>Screen-reader accessibility.</li>
<li>Keyboard and mouse navigation.</li>
<li>A rich event model that provides access to all of a menu's 
interesting moments.</li>
<li>Support for 
<a href="http://en.wikipedia.org/wiki/Progressive_Enhancement">Progressive
Enhancement</a>; Menus can be created from simple, 
semantic markup on the page or purely through JavaScript.</li>
</ul>
                    </div>

                    <form onsubmit="return false">
                        <p>Search menu:
                        <div id="propertysearch">
                            <input autocomplete="off" id="searchinput" />
                            <div id="searchresults">
                                &nbsp;
                            </div>
                        </div>
                    </form>
                    <script type="text/javascript">
                        ALL_YUI_PROPS = [{"url": "YAHOO.widget.Menu.html#activeItem", "host": "YAHOO.widget.Menu", "name": "activeItem"}, {"url": "YAHOO.widget.Menu.html#addItem", "host": "YAHOO.widget.Menu", "name": "addItem"}, {"url": "YAHOO.widget.MenuManager.html#addItem", "host": "YAHOO.widget.MenuManager", "name": "addItem"}, {"url": "YAHOO.widget.Menu.html#addItems", "host": "YAHOO.widget.Menu", "name": "addItems"}, {"url": "YAHOO.widget.Menu.html#_addItemToGroup", "host": "YAHOO.widget.Menu", "name": "_addItemToGroup"}, {"url": "YAHOO.widget.MenuManager.html#addMenu", "host": "YAHOO.widget.MenuManager", "name": "addMenu"}, {"url": "YAHOO.widget.Menu.html#_aGroupTitleElements", "host": "YAHOO.widget.Menu", "name": "_aGroupTitleElements"}, {"url": "YAHOO.widget.Menu.html#_aItemGroups", "host": "YAHOO.widget.Menu", "name": "_aItemGroups"}, {"url": "YAHOO.widget.Menu.html#_aListElements", "host": "YAHOO.widget.Menu", "name": "_aListElements"}, {"url": "YAHOO.widget.Menu.html#autosubmenudisplay", "host": "YAHOO.widget.Menu", "name": "autosubmenudisplay"}, {"url": "YAHOO.widget.Menubar.html#autosubmenudisplay", "host": "YAHOO.widget.Menubar", "name": "autosubmenudisplay"}, {"url": "YAHOO.widget.ContextMenu.html#_bCancelled", "host": "YAHOO.widget.ContextMenu", "name": "_bCancelled"}, {"url": "YAHOO.widget.Menu.html#_bHandledMouseOutEvent", "host": "YAHOO.widget.Menu", "name": "_bHandledMouseOutEvent"}, {"url": "YAHOO.widget.Menu.html#_bHandledMouseOverEvent", "host": "YAHOO.widget.Menu", "name": "_bHandledMouseOverEvent"}, {"url": "YAHOO.widget.Menu.html#_bHideDelayEventHandlersAssigned", "host": "YAHOO.widget.Menu", "name": "_bHideDelayEventHandlersAssigned"}, {"url": "YAHOO.widget.MenuItem.html#blur", "host": "YAHOO.widget.MenuItem", "name": "blur"}, {"url": "YAHOO.widget.MenuItem.html#blurEvent", "host": "YAHOO.widget.MenuItem", "name": "blurEvent"}, {"url": "YAHOO.widget.MenuItem.html#browser", "host": "YAHOO.widget.MenuItem", "name": "browser"}, {"url": "YAHOO.widget.Menu.html#_bStopMouseEventHandlers", "host": "YAHOO.widget.Menu", "name": "_bStopMouseEventHandlers"}, {"url": "YAHOO.widget.ContextMenu.html#cancel", "host": "YAHOO.widget.ContextMenu", "name": "cancel"}, {"url": "YAHOO.widget.Menu.html#_cancelHideDelay", "host": "YAHOO.widget.Menu", "name": "_cancelHideDelay"}, {"url": "YAHOO.widget.Menu.html#_cancelShowDelay", "host": "YAHOO.widget.Menu", "name": "_cancelShowDelay"}, {"url": "YAHOO.widget.MenuItem.html#_checkDOMNode", "host": "YAHOO.widget.MenuItem", "name": "_checkDOMNode"}, {"url": "YAHOO.widget.MenuItem.html#checked", "host": "YAHOO.widget.MenuItem", "name": "checked"}, {"url": "YAHOO.widget.MenuItem.html#CHECKED_IMAGE_ALT_TEXT", "host": "YAHOO.widget.MenuItem", "name": "CHECKED_IMAGE_ALT_TEXT"}, {"url": "YAHOO.widget.MenuItem.html#CHECKED_IMAGE_PATH", "host": "YAHOO.widget.MenuItem", "name": "CHECKED_IMAGE_PATH"}, {"url": "YAHOO.widget.MenuItem.html#CHECKED_TEXT", "host": "YAHOO.widget.MenuItem", "name": "CHECKED_TEXT"}, {"url": "YAHOO.widget.MenuItem.html#_checkImage", "host": "YAHOO.widget.MenuItem", "name": "_checkImage"}, {"url": "YAHOO.widget.Menu.html#_checkPosition", "host": "YAHOO.widget.Menu", "name": "_checkPosition"}, {"url": "YAHOO.widget.MenuItem.html#_checkString", "host": "YAHOO.widget.MenuItem", "name": "_checkString"}, {"url": "YAHOO.widget.Menu.html#classname", "host": "YAHOO.widget.Menu", "name": "classname"}, {"url": "YAHOO.widget.MenuItem.html#classname", "host": "YAHOO.widget.MenuItem", "name": "classname"}, {"url": "YAHOO.widget.Menu.html#clearActiveItem", "host": "YAHOO.widget.Menu", "name": "clearActiveItem"}, {"url": "YAHOO.widget.Menu.html#clearContent", "host": "YAHOO.widget.Menu", "name": "clearContent"}, {"url": "YAHOO.widget.Menu.html#clickEvent", "host": "YAHOO.widget.Menu", "name": "clickEvent"}, {"url": "YAHOO.widget.MenuItem.html#clickEvent", "host": "YAHOO.widget.MenuItem", "name": "clickEvent"}, {"url": "YAHOO.widget.Menu.html#clicktohide", "host": "YAHOO.widget.Menu", "name": "clicktohide"}, {"url": "YAHOO.widget.MenuItem.html#COLLAPSED_SUBMENU_INDICATOR_ALT_TEXT", "host": "YAHOO.widget.MenuItem", "name": "COLLAPSED_SUBMENU_INDICATOR_ALT_TEXT"}, {"url": "YAHOO.widget.MenuItem.html#COLLAPSED_SUBMENU_INDICATOR_TEXT", "host": "YAHOO.widget.MenuItem", "name": "COLLAPSED_SUBMENU_INDICATOR_TEXT"}, {"url": "YAHOO.widget.MenuItem.html#configChecked", "host": "YAHOO.widget.MenuItem", "name": "configChecked"}, {"url": "YAHOO.widget.Menu.html#configClassName", "host": "YAHOO.widget.Menu", "name": "configClassName"}, {"url": "YAHOO.widget.MenuItem.html#configClassName", "host": "YAHOO.widget.MenuItem", "name": "configClassName"}, {"url": "YAHOO.widget.Menu.html#configContainer", "host": "YAHOO.widget.Menu", "name": "configContainer"}, {"url": "YAHOO.widget.MenuItem.html#configDisabled", "host": "YAHOO.widget.MenuItem", "name": "configDisabled"}, {"url": "YAHOO.widget.MenuItem.html#configEmphasis", "host": "YAHOO.widget.MenuItem", "name": "configEmphasis"}, {"url": "YAHOO.widget.MenuItem.html#configHelpText", "host": "YAHOO.widget.MenuItem", "name": "configHelpText"}, {"url": "YAHOO.widget.Menu.html#configHideDelay", "host": "YAHOO.widget.Menu", "name": "configHideDelay"}, {"url": "YAHOO.widget.Menu.html#configIframe", "host": "YAHOO.widget.Menu", "name": "configIframe"}, {"url": "YAHOO.widget.Menu.html#configMaxHeight", "host": "YAHOO.widget.Menu", "name": "configMaxHeight"}, {"url": "YAHOO.widget.MenuItem.html#configOnClick", "host": "YAHOO.widget.MenuItem", "name": "configOnClick"}, {"url": "YAHOO.widget.Menu.html#configPosition", "host": "YAHOO.widget.Menu", "name": "configPosition"}, {"url": "YAHOO.widget.MenuItem.html#configSelected", "host": "YAHOO.widget.MenuItem", "name": "configSelected"}, {"url": "YAHOO.widget.MenuItem.html#configStrongEmphasis", "host": "YAHOO.widget.MenuItem", "name": "configStrongEmphasis"}, {"url": "YAHOO.widget.MenuItem.html#configSubmenu", "host": "YAHOO.widget.MenuItem", "name": "configSubmenu"}, {"url": "YAHOO.widget.MenuItem.html#configTarget", "host": "YAHOO.widget.MenuItem", "name": "configTarget"}, {"url": "YAHOO.widget.MenuItem.html#configText", "host": "YAHOO.widget.MenuItem", "name": "configText"}, {"url": "YAHOO.widget.ContextMenu.html#configTrigger", "host": "YAHOO.widget.ContextMenu", "name": "configTrigger"}, {"url": "YAHOO.widget.Menu.html#_configureSubmenu", "host": "YAHOO.widget.Menu", "name": "_configureSubmenu"}, {"url": "YAHOO.widget.MenuItem.html#configURL", "host": "YAHOO.widget.MenuItem", "name": "configURL"}, {"url": "YAHOO.widget.Menu.html#configVisible", "host": "YAHOO.widget.Menu", "name": "configVisible"}, {"url": "YAHOO.widget.Menu.html#constraintoviewport", "host": "YAHOO.widget.Menu", "name": "constraintoviewport"}, {"url": "YAHOO.widget.MenuItem.html#constructor", "host": "YAHOO.widget.MenuItem", "name": "constructor"}, {"url": "YAHOO.widget.Menu.html#container", "host": "YAHOO.widget.Menu", "name": "container"}, {"url": "YAHOO.widget.ContextMenu.html#contextEventTarget", "host": "YAHOO.widget.ContextMenu", "name": "contextEventTarget"}, {"url": "YAHOO.widget.Menu.html#_createItemGroup", "host": "YAHOO.widget.Menu", "name": "_createItemGroup"}, {"url": "YAHOO.widget.MenuItem.html#_createRootNodeStructure", "host": "YAHOO.widget.MenuItem", "name": "_createRootNodeStructure"}, {"url": "YAHOO.widget.Menu.html#CSS_CLASS_NAME", "host": "YAHOO.widget.Menu", "name": "CSS_CLASS_NAME"}, {"url": "YAHOO.widget.Menubar.html#CSS_CLASS_NAME", "host": "YAHOO.widget.Menubar", "name": "CSS_CLASS_NAME"}, {"url": "YAHOO.widget.MenuBarItem.html#CSS_CLASS_NAME", "host": "YAHOO.widget.MenuBarItem", "name": "CSS_CLASS_NAME"}, {"url": "YAHOO.widget.MenuItem.html#CSS_CLASS_NAME", "host": "YAHOO.widget.MenuItem", "name": "CSS_CLASS_NAME"}, {"url": "YAHOO.widget.ContextMenu.html#destroy", "host": "YAHOO.widget.ContextMenu", "name": "destroy"}, {"url": "YAHOO.widget.Menu.html#destroy", "host": "YAHOO.widget.Menu", "name": "destroy"}, {"url": "YAHOO.widget.MenuItem.html#destroy", "host": "YAHOO.widget.MenuItem", "name": "destroy"}, {"url": "YAHOO.widget.MenuItem.html#destroyEvent", "host": "YAHOO.widget.MenuItem", "name": "destroyEvent"}, {"url": "YAHOO.widget.MenuItem.html#disabled", "host": "YAHOO.widget.MenuItem", "name": "disabled"}, {"url": "YAHOO.widget.MenuItem.html#DISABLED_CHECKED_IMAGE_ALT_TEXT", "host": "YAHOO.widget.MenuItem", "name": "DISABLED_CHECKED_IMAGE_ALT_TEXT"}, {"url": "YAHOO.widget.MenuItem.html#DISABLED_CHECKED_IMAGE_PATH", "host": "YAHOO.widget.MenuItem", "name": "DISABLED_CHECKED_IMAGE_PATH"}, {"url": "YAHOO.widget.MenuItem.html#DISABLED_CHECKED_TEXT", "host": "YAHOO.widget.MenuItem", "name": "DISABLED_CHECKED_TEXT"}, {"url": "YAHOO.widget.MenuItem.html#DISABLED_SUBMENU_INDICATOR_ALT_TEXT", "host": "YAHOO.widget.MenuItem", "name": "DISABLED_SUBMENU_INDICATOR_ALT_TEXT"}, {"url": "YAHOO.widget.MenuItem.html#DISABLED_SUBMENU_INDICATOR_IMAGE_PATH", "host": "YAHOO.widget.MenuItem", "name": "DISABLED_SUBMENU_INDICATOR_IMAGE_PATH"}, {"url": "YAHOO.widget.MenuItem.html#DISABLED_SUBMENU_INDICATOR_TEXT", "host": "YAHOO.widget.MenuItem", "name": "DISABLED_SUBMENU_INDICATOR_TEXT"}, {"url": "YAHOO.widget.Menu.html#_disableScrollFooter", "host": "YAHOO.widget.Menu", "name": "_disableScrollFooter"}, {"url": "YAHOO.widget.Menu.html#_disableScrollHeader", "host": "YAHOO.widget.Menu", "name": "_disableScrollHeader"}, {"url": "YAHOO.widget.MenuItem.html#element", "host": "YAHOO.widget.MenuItem", "name": "element"}, {"url": "YAHOO.widget.MenuItem.html#emphasis", "host": "YAHOO.widget.MenuItem", "name": "emphasis"}, {"url": "YAHOO.widget.Menu.html#_enableScrollFooter", "host": "YAHOO.widget.Menu", "name": "_enableScrollFooter"}, {"url": "YAHOO.widget.Menu.html#_enableScrollHeader", "host": "YAHOO.widget.Menu", "name": "_enableScrollHeader"}, {"url": "YAHOO.widget.Menu.html#enforceConstraints", "host": "YAHOO.widget.Menu", "name": "enforceConstraints"}, {"url": "YAHOO.widget.Menu.html#_execHideDelay", "host": "YAHOO.widget.Menu", "name": "_execHideDelay"}, {"url": "YAHOO.widget.Menu.html#_execShowDelay", "host": "YAHOO.widget.Menu", "name": "_execShowDelay"}, {"url": "YAHOO.widget.Menu.html#_execSubmenuHideDelay", "host": "YAHOO.widget.Menu", "name": "_execSubmenuHideDelay"}, {"url": "YAHOO.widget.MenuItem.html#EXPANDED_SUBMENU_INDICATOR_ALT_TEXT", "host": "YAHOO.widget.MenuItem", "name": "EXPANDED_SUBMENU_INDICATOR_ALT_TEXT"}, {"url": "YAHOO.widget.MenuItem.html#EXPANDED_SUBMENU_INDICATOR_TEXT", "host": "YAHOO.widget.MenuItem", "name": "EXPANDED_SUBMENU_INDICATOR_TEXT"}, {"url": "YAHOO.widget.MenuItem.html#focus", "host": "YAHOO.widget.MenuItem", "name": "focus"}, {"url": "YAHOO.widget.MenuItem.html#focusEvent", "host": "YAHOO.widget.MenuItem", "name": "focusEvent"}, {"url": "YAHOO.widget.MenuItem.html#_getFirstElement", "host": "YAHOO.widget.MenuItem", "name": "_getFirstElement"}, {"url": "YAHOO.widget.Menu.html#_getFirstEnabledItem", "host": "YAHOO.widget.Menu", "name": "_getFirstEnabledItem"}, {"url": "YAHOO.widget.Menu.html#getItem", "host": "YAHOO.widget.Menu", "name": "getItem"}, {"url": "YAHOO.widget.Menu.html#_getItemGroup", "host": "YAHOO.widget.Menu", "name": "_getItemGroup"}, {"url": "YAHOO.widget.Menu.html#getItemGroups", "host": "YAHOO.widget.Menu", "name": "getItemGroups"}, {"url": "YAHOO.widget.Menu.html#getItems", "host": "YAHOO.widget.Menu", "name": "getItems"}, {"url": "YAHOO.widget.MenuManager.html#getMenu", "host": "YAHOO.widget.MenuManager", "name": "getMenu"}, {"url": "YAHOO.widget.MenuManager.html#getMenuRootElement", "host": "YAHOO.widget.MenuManager", "name": "getMenuRootElement"}, {"url": "YAHOO.widget.MenuManager.html#getMenus", "host": "YAHOO.widget.MenuManager", "name": "getMenus"}, {"url": "YAHOO.widget.MenuItem.html#getNextEnabledSibling", "host": "YAHOO.widget.MenuItem", "name": "getNextEnabledSibling"}, {"url": "YAHOO.widget.Menu.html#_getOffsetWidth", "host": "YAHOO.widget.Menu", "name": "_getOffsetWidth"}, {"url": "YAHOO.widget.MenuItem.html#getPreviousEnabledSibling", "host": "YAHOO.widget.MenuItem", "name": "getPreviousEnabledSibling"}, {"url": "YAHOO.widget.Menu.html#getRoot", "host": "YAHOO.widget.Menu", "name": "getRoot"}, {"url": "YAHOO.widget.MenuItem.html#groupIndex", "host": "YAHOO.widget.MenuItem", "name": "groupIndex"}, {"url": "YAHOO.widget.Menu.html#GROUP_TITLE_TAG_NAME", "host": "YAHOO.widget.Menu", "name": "GROUP_TITLE_TAG_NAME"}, {"url": "YAHOO.widget.MenuItem.html#helptext", "host": "YAHOO.widget.MenuItem", "name": "helptext"}, {"url": "YAHOO.widget.Menu.html#hidedelay", "host": "YAHOO.widget.Menu", "name": "hidedelay"}, {"url": "YAHOO.widget.MenuManager.html#hideVisible", "host": "YAHOO.widget.MenuManager", "name": "hideVisible"}, {"url": "YAHOO.widget.MenuItem.html#id", "host": "YAHOO.widget.MenuItem", "name": "id"}, {"url": "YAHOO.widget.MenuItem.html#imageRoot", "host": "YAHOO.widget.MenuItem", "name": "imageRoot"}, {"url": "YAHOO.widget.MenuItem.html#IMG_ROOT", "host": "YAHOO.widget.MenuItem", "name": "IMG_ROOT"}, {"url": "YAHOO.widget.MenuItem.html#IMG_ROOT_SSL", "host": "YAHOO.widget.MenuItem", "name": "IMG_ROOT_SSL"}, {"url": "YAHOO.widget.MenuItem.html#index", "host": "YAHOO.widget.MenuItem", "name": "index"}, {"url": "YAHOO.widget.ContextMenu.html#init", "host": "YAHOO.widget.ContextMenu", "name": "init"}, {"url": "YAHOO.widget.ContextMenuItem.html#init", "host": "YAHOO.widget.ContextMenuItem", "name": "init"}, {"url": "YAHOO.widget.Menu.html#init", "host": "YAHOO.widget.Menu", "name": "init"}, {"url": "YAHOO.widget.Menubar.html#init", "host": "YAHOO.widget.Menubar", "name": "init"}, {"url": "YAHOO.widget.MenuBarItem.html#init", "host": "YAHOO.widget.MenuBarItem", "name": "init"}, {"url": "YAHOO.widget.MenuItem.html#init", "host": "YAHOO.widget.MenuItem", "name": "init"}, {"url": "YAHOO.widget.ContextMenu.html#initDefaultConfig", "host": "YAHOO.widget.ContextMenu", "name": "initDefaultConfig"}, {"url": "YAHOO.widget.Menu.html#initDefaultConfig", "host": "YAHOO.widget.Menu", "name": "initDefaultConfig"}, {"url": "YAHOO.widget.Menubar.html#initDefaultConfig", "host": "YAHOO.widget.Menubar", "name": "initDefaultConfig"}, {"url": "YAHOO.widget.MenuItem.html#initDefaultConfig", "host": "YAHOO.widget.MenuItem", "name": "initDefaultConfig"}, {"url": "YAHOO.widget.ContextMenu.html#initEvents", "host": "YAHOO.widget.ContextMenu", "name": "initEvents"}, {"url": "YAHOO.widget.Menu.html#initEvents", "host": "YAHOO.widget.Menu", "name": "initEvents"}, {"url": "YAHOO.widget.Menu.html#_initSubTree", "host": "YAHOO.widget.Menu", "name": "_initSubTree"}, {"url": "YAHOO.widget.MenuItem.html#_initSubTree", "host": "YAHOO.widget.MenuItem", "name": "_initSubTree"}, {"url": "YAHOO.widget.Menu.html#insertItem", "host": "YAHOO.widget.Menu", "name": "insertItem"}, {"url": "YAHOO.widget.MenuItem.html#isSecure", "host": "YAHOO.widget.MenuItem", "name": "isSecure"}, {"url": "YAHOO.widget.Menu.html#itemAddedEvent", "host": "YAHOO.widget.Menu", "name": "itemAddedEvent"}, {"url": "YAHOO.widget.Menu.html#itemData", "host": "YAHOO.widget.Menu", "name": "itemData"}, {"url": "YAHOO.widget.Menu.html#itemRemovedEvent", "host": "YAHOO.widget.Menu", "name": "itemRemovedEvent"}, {"url": "YAHOO.widget.Menu.html#ITEM_TYPE", "host": "YAHOO.widget.Menu", "name": "ITEM_TYPE"}, {"url": "YAHOO.widget.Menu.html#keyDownEvent", "host": "YAHOO.widget.Menu", "name": "keyDownEvent"}, {"url": "YAHOO.widget.MenuItem.html#keyDownEvent", "host": "YAHOO.widget.MenuItem", "name": "keyDownEvent"}, {"url": "YAHOO.widget.Menu.html#keyPressEvent", "host": "YAHOO.widget.Menu", "name": "keyPressEvent"}, {"url": "YAHOO.widget.MenuItem.html#keyPressEvent", "host": "YAHOO.widget.MenuItem", "name": "keyPressEvent"}, {"url": "YAHOO.widget.Menu.html#keyUpEvent", "host": "YAHOO.widget.Menu", "name": "keyUpEvent"}, {"url": "YAHOO.widget.MenuItem.html#keyUpEvent", "host": "YAHOO.widget.MenuItem", "name": "keyUpEvent"}, {"url": "YAHOO.widget.Menu.html#lazyLoad", "host": "YAHOO.widget.Menu", "name": "lazyLoad"}, {"url": "YAHOO.widget.Menu.html#maxheight", "host": "YAHOO.widget.Menu", "name": "maxheight"}, {"url": "YAHOO.widget.Menu.html#mouseDownEvent", "host": "YAHOO.widget.Menu", "name": "mouseDownEvent"}, {"url": "YAHOO.widget.MenuItem.html#mouseDownEvent", "host": "YAHOO.widget.MenuItem", "name": "mouseDownEvent"}, {"url": "YAHOO.widget.Menu.html#mouseOutEvent", "host": "YAHOO.widget.Menu", "name": "mouseOutEvent"}, {"url": "YAHOO.widget.MenuItem.html#mouseOutEvent", "host": "YAHOO.widget.MenuItem", "name": "mouseOutEvent"}, {"url": "YAHOO.widget.Menu.html#mouseOverEvent", "host": "YAHOO.widget.Menu", "name": "mouseOverEvent"}, {"url": "YAHOO.widget.MenuItem.html#mouseOverEvent", "host": "YAHOO.widget.MenuItem", "name": "mouseOverEvent"}, {"url": "YAHOO.widget.Menu.html#mouseUpEvent", "host": "YAHOO.widget.Menu", "name": "mouseUpEvent"}, {"url": "YAHOO.widget.MenuItem.html#mouseUpEvent", "host": "YAHOO.widget.MenuItem", "name": "mouseUpEvent"}, {"url": "YAHOO.widget.Menu.html#_nBodyScrollId", "host": "YAHOO.widget.Menu", "name": "_nBodyScrollId"}, {"url": "YAHOO.widget.Menu.html#_nCurrentMouseX", "host": "YAHOO.widget.Menu", "name": "_nCurrentMouseX"}, {"url": "YAHOO.widget.Menu.html#_nHideDelayId", "host": "YAHOO.widget.Menu", "name": "_nHideDelayId"}, {"url": "YAHOO.widget.Menu.html#_nMaxHeight", "host": "YAHOO.widget.Menu", "name": "_nMaxHeight"}, {"url": "YAHOO.widget.Menu.html#_nShowDelayId", "host": "YAHOO.widget.Menu", "name": "_nShowDelayId"}, {"url": "YAHOO.widget.Menu.html#_nSubmenuHideDelayId", "host": "YAHOO.widget.Menu", "name": "_nSubmenuHideDelayId"}, {"url": "YAHOO.widget.MenuItem.html#_oAnchor", "host": "YAHOO.widget.MenuItem", "name": "_oAnchor"}, {"url": "YAHOO.widget.MenuItem.html#_oCheckedIndicator", "host": "YAHOO.widget.MenuItem", "name": "_oCheckedIndicator"}, {"url": "YAHOO.widget.MenuItem.html#_oHelpTextEM", "host": "YAHOO.widget.MenuItem", "name": "_oHelpTextEM"}, {"url": "YAHOO.widget.Menu.html#_onBeforeHide", "host": "YAHOO.widget.Menu", "name": "_onBeforeHide"}, {"url": "YAHOO.widget.Menu.html#_onBeforeRender", "host": "YAHOO.widget.Menu", "name": "_onBeforeRender"}, {"url": "YAHOO.widget.Menu.html#_onBeforeShow", "host": "YAHOO.widget.Menu", "name": "_onBeforeShow"}, {"url": "YAHOO.widget.Menu.html#_onClick", "host": "YAHOO.widget.Menu", "name": "_onClick"}, {"url": "YAHOO.widget.Menubar.html#_onClick", "host": "YAHOO.widget.Menubar", "name": "_onClick"}, {"url": "YAHOO.widget.MenuItem.html#onclick", "host": "YAHOO.widget.MenuItem", "name": "onclick"}, {"url": "YAHOO.widget.MenuManager.html#onDOMEvent", "host": "YAHOO.widget.MenuManager", "name": "onDOMEvent"}, {"url": "YAHOO.widget.Menu.html#_onHide", "host": "YAHOO.widget.Menu", "name": "_onHide"}, {"url": "YAHOO.widget.Menu.html#_onInit", "host": "YAHOO.widget.Menu", "name": "_onInit"}, {"url": "YAHOO.widget.MenuManager.html#onItemAdded", "host": "YAHOO.widget.MenuManager", "name": "onItemAdded"}, {"url": "YAHOO.widget.MenuManager.html#onItemDestroy", "host": "YAHOO.widget.MenuManager", "name": "onItemDestroy"}, {"url": "YAHOO.widget.MenuManager.html#onItemRemoved", "host": "YAHOO.widget.MenuManager", "name": "onItemRemoved"}, {"url": "YAHOO.widget.Menu.html#_onKeyDown", "host": "YAHOO.widget.Menu", "name": "_onKeyDown"}, {"url": "YAHOO.widget.Menubar.html#_onKeyDown", "host": "YAHOO.widget.Menubar", "name": "_onKeyDown"}, {"url": "YAHOO.widget.Menu.html#_onKeyPress", "host": "YAHOO.widget.Menu", "name": "_onKeyPress"}, {"url": "YAHOO.widget.MenuManager.html#onMenuDestroy", "host": "YAHOO.widget.MenuManager", "name": "onMenuDestroy"}, {"url": "YAHOO.widget.Menu.html#_onMenuItemBlur", "host": "YAHOO.widget.Menu", "name": "_onMenuItemBlur"}, {"url": "YAHOO.widget.Menu.html#_onMenuItemConfigChange", "host": "YAHOO.widget.Menu", "name": "_onMenuItemConfigChange"}, {"url": "YAHOO.widget.Menu.html#_onMenuItemFocus", "host": "YAHOO.widget.Menu", "name": "_onMenuItemFocus"}, {"url": "YAHOO.widget.MenuManager.html#onMenuVisibleConfigChange", "host": "YAHOO.widget.MenuManager", "name": "onMenuVisibleConfigChange"}, {"url": "YAHOO.widget.Menu.html#_onMouseMove", "host": "YAHOO.widget.Menu", "name": "_onMouseMove"}, {"url": "YAHOO.widget.Menu.html#_onMouseOut", "host": "YAHOO.widget.Menu", "name": "_onMouseOut"}, {"url": "YAHOO.widget.Menu.html#_onMouseOver", "host": "YAHOO.widget.Menu", "name": "_onMouseOver"}, {"url": "YAHOO.widget.Menu.html#_onParentMenuConfigChange", "host": "YAHOO.widget.Menu", "name": "_onParentMenuConfigChange"}, {"url": "YAHOO.widget.Menu.html#_onParentMenuRender", "host": "YAHOO.widget.Menu", "name": "_onParentMenuRender"}, {"url": "YAHOO.widget.Menu.html#_onScrollTargetMouseOut", "host": "YAHOO.widget.Menu", "name": "_onScrollTargetMouseOut"}, {"url": "YAHOO.widget.Menu.html#_onScrollTargetMouseOver", "host": "YAHOO.widget.Menu", "name": "_onScrollTargetMouseOver"}, {"url": "YAHOO.widget.Menu.html#_onShow", "host": "YAHOO.widget.Menu", "name": "_onShow"}, {"url": "YAHOO.widget.Menu.html#_onSubmenuBeforeShow", "host": "YAHOO.widget.Menu", "name": "_onSubmenuBeforeShow"}, {"url": "YAHOO.widget.Menu.html#_onSubmenuHide", "host": "YAHOO.widget.Menu", "name": "_onSubmenuHide"}, {"url": "YAHOO.widget.Menu.html#_onSubmenuShow", "host": "YAHOO.widget.Menu", "name": "_onSubmenuShow"}, {"url": "YAHOO.widget.Menu.html#_onTextResize", "host": "YAHOO.widget.Menu", "name": "_onTextResize"}, {"url": "YAHOO.widget.ContextMenu.html#_onTriggerClick", "host": "YAHOO.widget.ContextMenu", "name": "_onTriggerClick"}, {"url": "YAHOO.widget.ContextMenu.html#_onTriggerContextMenu", "host": "YAHOO.widget.ContextMenu", "name": "_onTriggerContextMenu"}, {"url": "YAHOO.widget.MenuItem.html#_oOnclickAttributeValue", "host": "YAHOO.widget.MenuItem", "name": "_oOnclickAttributeValue"}, {"url": "YAHOO.widget.MenuItem.html#_oSubmenu", "host": "YAHOO.widget.MenuItem", "name": "_oSubmenu"}, {"url": "YAHOO.widget.MenuItem.html#_oText", "host": "YAHOO.widget.MenuItem", "name": "_oText"}, {"url": "YAHOO.widget.ContextMenu.html#_oTrigger", "host": "YAHOO.widget.ContextMenu", "name": "_oTrigger"}, {"url": "YAHOO.widget.Menu.html#parent", "host": "YAHOO.widget.Menu", "name": "parent"}, {"url": "YAHOO.widget.MenuItem.html#parent", "host": "YAHOO.widget.MenuItem", "name": "parent"}, {"url": "YAHOO.widget.Menu.html#position", "host": "YAHOO.widget.Menu", "name": "position"}, {"url": "YAHOO.widget.Menubar.html#position", "host": "YAHOO.widget.Menubar", "name": "position"}, {"url": "YAHOO.widget.MenuItem.html#_preloadImage", "host": "YAHOO.widget.MenuItem", "name": "_preloadImage"}, {"url": "YAHOO.widget.ContextMenu.html#_removeEventHandlers", "host": "YAHOO.widget.ContextMenu", "name": "_removeEventHandlers"}, {"url": "YAHOO.widget.Menu.html#removeItem", "host": "YAHOO.widget.Menu", "name": "removeItem"}, {"url": "YAHOO.widget.MenuManager.html#removeItem", "host": "YAHOO.widget.MenuManager", "name": "removeItem"}, {"url": "YAHOO.widget.Menu.html#_removeItemFromGroupByIndex", "host": "YAHOO.widget.Menu", "name": "_removeItemFromGroupByIndex"}, {"url": "YAHOO.widget.Menu.html#_removeItemFromGroupByValue", "host": "YAHOO.widget.Menu", "name": "_removeItemFromGroupByValue"}, {"url": "YAHOO.widget.MenuManager.html#removeMenu", "host": "YAHOO.widget.MenuManager", "name": "removeMenu"}, {"url": "YAHOO.widget.Menu.html#_sClassName", "host": "YAHOO.widget.Menu", "name": "_sClassName"}, {"url": "YAHOO.widget.MenuItem.html#_sClassName", "host": "YAHOO.widget.MenuItem", "name": "_sClassName"}, {"url": "YAHOO.widget.MenuItem.html#selected", "host": "YAHOO.widget.MenuItem", "name": "selected"}, {"url": "YAHOO.widget.MenuItem.html#SELECTED_CHECKED_IMAGE_PATH", "host": "YAHOO.widget.MenuItem", "name": "SELECTED_CHECKED_IMAGE_PATH"}, {"url": "YAHOO.widget.MenuItem.html#SELECTED_SUBMENU_INDICATOR_IMAGE_PATH", "host": "YAHOO.widget.MenuItem", "name": "SELECTED_SUBMENU_INDICATOR_IMAGE_PATH"}, {"url": "YAHOO.widget.Menu.html#setInitialFocus", "host": "YAHOO.widget.Menu", "name": "setInitialFocus"}, {"url": "YAHOO.widget.Menu.html#setInitialSelection", "host": "YAHOO.widget.Menu", "name": "setInitialSelection"}, {"url": "YAHOO.widget.Menu.html#setItemGroupTitle", "host": "YAHOO.widget.Menu", "name": "setItemGroupTitle"}, {"url": "YAHOO.widget.Menu.html#_setWidth", "host": "YAHOO.widget.Menu", "name": "_setWidth"}, {"url": "YAHOO.widget.Menu.html#showdelay", "host": "YAHOO.widget.Menu", "name": "showdelay"}, {"url": "YAHOO.widget.Menu.html#srcElement", "host": "YAHOO.widget.Menu", "name": "srcElement"}, {"url": "YAHOO.widget.MenuItem.html#srcElement", "host": "YAHOO.widget.MenuItem", "name": "srcElement"}, {"url": "YAHOO.widget.MenuItem.html#strongemphasis", "host": "YAHOO.widget.MenuItem", "name": "strongemphasis"}, {"url": "YAHOO.widget.MenuItem.html#submenu", "host": "YAHOO.widget.MenuItem", "name": "submenu"}, {"url": "YAHOO.widget.Menu.html#submenualignment", "host": "YAHOO.widget.Menu", "name": "submenualignment"}, {"url": "YAHOO.widget.Menubar.html#submenualignment", "host": "YAHOO.widget.Menubar", "name": "submenualignment"}, {"url": "YAHOO.widget.Menu.html#submenuhidedelay", "host": "YAHOO.widget.Menu", "name": "submenuhidedelay"}, {"url": "YAHOO.widget.MenuItem.html#submenuIndicator", "host": "YAHOO.widget.MenuItem", "name": "submenuIndicator"}, {"url": "YAHOO.widget.MenuItem.html#SUBMENU_INDICATOR_IMAGE_PATH", "host": "YAHOO.widget.MenuItem", "name": "SUBMENU_INDICATOR_IMAGE_PATH"}, {"url": "YAHOO.widget.MenuItem.html#SUBMENU_TYPE", "host": "YAHOO.widget.MenuItem", "name": "SUBMENU_TYPE"}, {"url": "YAHOO.widget.Menu.html#_subscribeToItemEvents", "host": "YAHOO.widget.Menu", "name": "_subscribeToItemEvents"}, {"url": "YAHOO.widget.MenuItem.html#target", "host": "YAHOO.widget.MenuItem", "name": "target"}, {"url": "YAHOO.widget.MenuItem.html#text", "host": "YAHOO.widget.MenuItem", "name": "text"}, {"url": "YAHOO.widget.ContextMenu.html#toString", "host": "YAHOO.widget.ContextMenu", "name": "toString"}, {"url": "YAHOO.widget.ContextMenuItem.html#toString", "host": "YAHOO.widget.ContextMenuItem", "name": "toString"}, {"url": "YAHOO.widget.Menu.html#toString", "host": "YAHOO.widget.Menu", "name": "toString"}, {"url": "YAHOO.widget.Menubar.html#toString", "host": "YAHOO.widget.Menubar", "name": "toString"}, {"url": "YAHOO.widget.MenuBarItem.html#toString", "host": "YAHOO.widget.MenuBarItem", "name": "toString"}, {"url": "YAHOO.widget.MenuItem.html#toString", "host": "YAHOO.widget.MenuItem", "name": "toString"}, {"url": "YAHOO.widget.MenuManager.html#toString", "host": "YAHOO.widget.MenuManager", "name": "toString"}, {"url": "YAHOO.widget.ContextMenu.html#trigger", "host": "YAHOO.widget.ContextMenu", "name": "trigger"}, {"url": "YAHOO.widget.ContextMenu.html#triggerContextMenuEvent", "host": "YAHOO.widget.ContextMenu", "name": "triggerContextMenuEvent"}, {"url": "YAHOO.widget.Menu.html#_updateItemProperties", "host": "YAHOO.widget.Menu", "name": "_updateItemProperties"}, {"url": "YAHOO.widget.MenuItem.html#url", "host": "YAHOO.widget.MenuItem", "name": "url"}, {"url": "YAHOO.widget.MenuItem.html#value", "host": "YAHOO.widget.MenuItem", "name": "value"}, {"url": "YAHOO.widget.Menu.html#visible", "host": "YAHOO.widget.Menu", "name": "visible"}];
                    </script>

                    <script type="text/javascript" src="assets/api-js"></script>
                    <script type="text/javascript" src="assets/ac-js"></script>

			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class=""><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class=""><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class=""><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class="selected"><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class=""><a href="module_treeview.html">treeview</a></li>

                                <li class=""><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class=""><a href="YAHOO.widget.ContextMenu.html">YAHOO.widget.ContextMenu</a></li>
                                <li class=""><a href="YAHOO.widget.ContextMenuItem.html">YAHOO.widget.ContextMenuItem</a></li>
                                <li class=""><a href="YAHOO.widget.Menu.html">YAHOO.widget.Menu</a></li>
                                <li class=""><a href="YAHOO.widget.Menubar.html">YAHOO.widget.Menubar</a></li>
                                <li class=""><a href="YAHOO.widget.MenuBarItem.html">YAHOO.widget.MenuBarItem</a></li>
                                <li class=""><a href="YAHOO.widget.MenuItem.html">YAHOO.widget.MenuItem</a></li>
                                <li class=""><a href="YAHOO.widget.MenuManager.html">YAHOO.widget.MenuManager</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="contextmenu.js.html">contextmenu.js</a></li>
                                <li class=""><a href="contextmenuitem.js.html">contextmenuitem.js</a></li>
                                <li class=""><a href="menu.js.html">menu.js</a></li>
                                <li class=""><a href="menubar.js.html">menubar.js</a></li>
                                <li class=""><a href="menubaritem.js.html">menubaritem.js</a></li>
                                <li class=""><a href="menuitem.js.html">menuitem.js</a></li>
                                <li class=""><a href="menumanager.js.html">menumanager.js</a></li>
                        </ul>
                    </div>





            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
